### Virtual Method

# WPEPlatform View set_cursor_from_bytes

#### Declaration [src]

    void
    set_cursor_from_bytes (
      WPEView* view,
      GBytes* bytes,
      guint width,
      guint height,
      guint stride,
      guint hotspot_x,
      guint hotspot_y
    )

#### Description [src]

Set the `view` cursor from the given `bytes`. Pixel format must be `WPE_PIXEL_FORMAT_ARGB8888`.

#### Parameters

`bytes`

  Type: `GBytes`

  The cursor image data.

  The data is owned by the caller of the method.

`width`

  Type: `guint`

  The cursor width.

`height`

  Type: `guint`

  The cursor height.

`stride`

  Type: `guint`

  The cursor image data stride.

`hotspot_x`

  Type: `guint`

  The cursor hotspot x coordinate.

`hotspot_y`

  Type: `guint`

  The cursor hotspot y coordinate.